{% if clearing_instances.requester %}
  <section class="sidebar__section row clearfix dexes-page-block">
    <h3 class="sidebar__header">
      {{ 'My requests'|t }}
      <i class="fa-solid fa-circle-info ml-1 text-info" title="{{ 'Requests you\'ve send to access this data.'|t }}" aria-hidden="true"></i>
    </h3>
    <dl>
      {% for clearing_instance in clearing_instances.requester %}
        <dt class="d-none" aria-hidden="true">{{ clearing_instance.id }}</dt>
        <dd class="clearing-instance">
          <div>
            <b>{{ 'Date'|t }}:</b>
            {{ clearing_instance.status_updated|date("d/m/Y") }}
          </div>
          <div>
            <b>{{ 'Status'|t }}:</b>
            <span class="clearing-status" data-status="{{ clearing_instance.status }}">{{ clearing_instance.status }}</span>
          </div>
          <div>
            <b>{{ 'Policy' }}:</b>
            {{ clearing_instance.offer_policy.label|translate_policy_value }}
          </div>
          <a href="{{ view_request_endpoint }}/{{ clearing_instance.id }}">
            {{ 'View'|t }}
            <i class="fa fa-solid fa-external-link" aria-hidden="true"></i>
          </a>
        </dd>
      {% endfor %}
    </dl>
  </section>
{% endif %}

{% if clearing_instances.entitledParty %}
  <section class="sidebar__section row clearfix dexes-page-block">
    <h3 class="sidebar__header">
      {{ 'Incoming requests'|t }}
      <i class="fa-solid fa-circle-info ml-1 text-info" title="{{ 'Requests send to access this data.'|t }}" aria-hidden="true"></i>
    </h3>
    <dl>
      {% for clearing_instance in clearing_instances.entitledParty %}
        <dt class="d-none" aria-hidden="true">{{ clearing_instance.id }}</dt>
        <dd class="clearing-instance">
          <div>
            <b>{{ 'Date'|t }}:</b>
            {{ clearing_instance.status_updated|date("d/m/Y") }}
          </div>
          <div>
            <b>{{ 'Status'|t }}:</b>
            <span class="clearing-status" data-status="{{ clearing_instance.status }}">{{ clearing_instance.status }}</span>
          </div>
          <div>
            <b>{{ 'Policy' }}:</b>
            {{ clearing_instance.offer_policy.label|translate_policy_value }}
          </div>
          <a href="{{ view_request_endpoint }}/{{ clearing_instance.id }}">
            {{ 'View'|t }}
            <i class="fa fa-solid fa-external-link" aria-hidden="true"></i>
          </a>
        </dd>
      {% endfor %}
    </dl>
  </section>
{% endif %}
